Welcome

utility is a graphical tool for configuring and monitoring our products which include controllers, modules and time switches. You can run it on Windows XP/2000/2003/Vista/7.

Recommended System Requirements
Items | Recommended System Requirements
CPU | 1 GHz 32-bit (x86) or 64-bit (x64) processor
Main Memory | At least 512 MB of memory
Hard Drive | 1 GB of space with at least 300 MB of available space
Monitor | At least 640 x 480 with full color
Mouse | Windows compatible
RS-232/422/485 Port | COM1 to COM256

Support the Following Controllers, Modules and Time Switches
1000 Series
Controllers
 | 1188 | 1189 |  |  |
DI / DO Modules
 | 1051 | 1055 | 1055S | 1057 | 1058
 | 1060 | 1068 | 1069 |  |
2000 Series
Controllers
 | 2188 | 2189 |  |  |
3000 Series
RF Modules
 | 3016 | 3016U |  |  |
4000 Series
Weekly Time Switches
 | 4848 |  |  |  |


User Interface

When you run utility, you can see the following figure (Figure-1). There are 3 topics in this section. They are as follows :

  1. Menu Bar
  2. Tool Bar & Main Working Area
    • Save
    • Searching for modules
    • Stop Searching
    • Refresh COM port
    • Contents
    • About Me
  3. Status Bar

1. Menu Bar
  • When the menu File is dropped down, you can see Figure-2.
  • Learn more about Save.
  • When the menu Tools is dropped down, you can see Figure-3.
  • Learn more about Searching For Modules.
  • When the search is proceeding, the menu caption Searching For Modules becomes Stop Searching (Figure-4).
  • Learn more about Stop Searching.
  • Learn more about Refresh COM Port.
  • When the menu Help is dropped down, you can see Figure-5.
  • Learn more about Contents.
  • Learn more about About Me.

2. Tool Bar & Main Working Area

When the Save button is pressed, the tree-structure of the modules can be saved into a text file. The figure below shows the contents of the text file.

Choosing a COM port enables the Searching for modules button. On the right side of Main Working Area, you can make a combination of search settings. After the settings are finished, press the Searching for modules button to search the modules connected to the COM port.

  • When the search is proceeding, the Searching for modules button is enabled. Press the button to stop searching.
  • Status Bar shows the information of the corresponding settings for searching modules.

  • When the search is finished, you can see Figure-6.
  • You can select any module for more detailed information about it.
  • means this module's protocol is RTU. The letter R turns red when the module is selected.
  • means this module's protocol is ASCII. The letter A turns red when the module is selected.
  • When [image] is selected, the icon becomes [image]. It means you can monitor all modules. Please refer to Figure-7.
  • Note : Controller 1188 & 1189, Module 1010 & 1011 and Time Switch 4848 are not shown in the right table in Figure-7.

More Information about the Database

In Figure-7, we provide users with database functions. Users can stored the values of selected modules into the database. These data in the database is for further analysis in the future.

Note : The database is a Microsoft Access file. The file name is app_path\ARMonitor.mdb.
Note : The file backups automatically when its size exceeds 500 MB. The backup file name is ARMonitorYYYYMMDD.mdb.
Note : The file app_path\ARMonitorTemplate.mdb should not be modified and deleted.

Instructions
 | A popup window, which displays detailed description of each column, shows up.
 | The database window shows up. Please refer to Figure-8
 | Stop inserting data into the database.
 | Inserting data into the database.
 | Specify the time interval for inserting data into the database.
 | The values of each column can be inserted into the database if this item is selected.

How to Use the Database
In Figure-8, users can retrive and delete data from the database. The combination of all drop-down boxes is the criteria for retriving and deleting data.

Note : The star sign(*) in drop-down boxes means all.
Note : If the number of retriving data is more than 3000. You have to reset the selection criteria.

Instructions
 | Retrieve data from the database.
 | Delete data from the database.
 | Export data to Excel.
 | Close the form.

  • During the operation, COM ports could be removed or added to the PC. You can press the Refresh COM port button to refresh all the COM ports. For example, in Figure-9, we can find that COM8 is removed from the PC.
  • Please refer to Figure-6 to compare the differences between Figure-6 and Figure-9.

The button displays the on-line help.

The button displays the version number of your software.

3. Status Bar

Shows the detailed information corresponding to the specific opreation.


Controller 1188

Controller 1188/2188 Instructions

Controller 1188/2188 is a palm-size distributed controller, which is powerful for industrial automation. It porvides real-time clock and watchdog timer functions, and three communication ports: RS-232, RS-422 and RS-485 with connectivity to PC and any other devices, which support Modbus protocol. These serial ports can achieve communication with baud rates up to 230.4 Kbps. Users can write function block diagrams and download them onto 1188/2188 for their applications. The maximum number of blocks is 1024 for each function block diagram.

1. Initial Mode

When the controller is in initial mode, you can see the following figure.

1-1. Communication Parameters
  • The communication parameters are read-only.

1-2. Real Time Clock
  • Calibration and Weekday are read-only.
  • You can set Year, Month, Day and Time. Press the Update button to store the changed values.
  • Press the Restore button to restore the RTC value from the controller's memory.
  • The Update and Restore buttons are available when the Year, Month, Day, Time values are changed.
  • Press the Sync button to synchronize the RTC time with PC.

1-3. More Information
You can find more information about the controller.

2. Normal Mode

When the controler is in normal mode, you can see the following figure.

2-1. Communication Parameters
Please refer to 1- 1.

2-2. Real Time Clock
Please refer to 1- 2 .

2-3. More Information
Please refer to 1- 3 .

3. More Information

When the button [image] is pressed, a form shows up. The form includes 5 tabs:
  • Tag Configuration
  • Controller Information
  • Database
  • Historical Trends
  • Realtime Trends

3-1. Tag Configuration
This tab contains 2 sub-tabs Category and Tag. Controller 1188/2188 contains lots of digital/analog inputs/outputs and flags. This section introduces you how to give useful information for each I/O and flag. A factory or manufacturing plant usually consists of buildings and equipment. It's possible that workers in factory need to handle many facilities such as electricity, gas, water, clean room and so on.

3-1-1. Category

Here is an example, electricity facility includes 2 electric panels : EL101 and EL102. Users can define them in Primary Category and Secondary Category respectively. By the same token, users can define RO water, clean room and other facilities etc.

Instructions
 | Go to the first record.
 | Go to the previous record.
 | Go to the next record.
 | Go to the last record.
 | Query records.
 | Add a record.
 | Update a record.
 | Delete a record.
 | Confirm the operation.
 | Cancel the operation.
 | Note : Users can use this button to import the following settings from an existing ARControllerYYMMDD.mdb file. 1. Primary / Secondary Category and Tags. 2. Historical Trends. 3. Realtime Trends.

3-1-2. Tag

Instructions
Tag | Specify the I/O channel or flag.
Alias | The detailed information of the tag.
 | Show the formats and ranges of all I/Os and flags. 1. Digital Input : I0 ~ I255. 2. Digital Output : Q0 ~ Q127. 3. Digital Flag : M0 ~ M511. 4. Analog Input : AI0 ~ AI63. 5. Analog Output : AQ0 ~ AQ31. 6. Analog Flag : AM0 ~ AM511.

3-2. Controller Information
When the tab on the upper tabs is switched to [image] , you can see the figure below. The figure includes 5 tabs:
  • System Info
  • Digital
  • Analog, By Category
  • Function Block

3-2-1. System Info
This page lets you get a deep view of the information and status of the controller. The data read from the controller provide the information and status. The label on the left side of each data indicates the meaning of each data.

3-2-2. Digital
This page provides the detailed informaion of digital signals, such as inputs, outputs, flags and shift register bits.

3-2-3. Analog
This page provides the detailed informaion of analog signals, such as inputs, outputs and flags.

3-2-4. By Category
This page provides the informaion of digital/analog inputs/outputs and flags by primary and secondary category.

3-2-5. Function Block
This page provides the detailed informaion of function block. Please rerer to the following table.
Block Type | Addr_ AIO (DIO) _1 | Addr_ AIO (DIO) _2 | Addr_ AIO (DIO) _3 | Addr_ AIO (DIO) _4
AND | Block Output (0xxxx) | X | X | X
AND (Edge) | Block Output (0xxxx) | X | X | X
NAND | Block Output (0xxxx) | X | X | X
NAND (Edge) | Block Output (0xxxx) | X | X | X
OR | Block Output (0xxxx) | X | X | X
NOR | Block Output (0xxxx) | X | X | X
XOR | Block Output (0xxxx) | X | X | X
NOT | Block Output (0xxxx) | X | X | X
On-Delay | Block Output (0xxxx) | X | TMR (4xxxx) | X
Off-Delay | Block Output (0xxxx) | X | TMR (4xxxx) | X
On-/Off-Delay | Block Output (0xxxx) | X | TMR (4xxxx) | X
Retentive on-Delay | Block Output (0xxxx) | X | TMR (4xxxx) | X
Wiping relay (pulse output) | Block Output (0xxxx) | X | TMR (4xxxx) | X
Edge triggered wiping relay | Block Output (0xxxx) | X | TMR (4xxxx) | X
Asynchronous Pulse Generator | Block Output (0xxxx) | X | TMR (4xxxx) | X
Random Generator | Block Output (0xxxx) | X | TMR (4xxxx) | X
Stairway lighting switch | Block Output (0xxxx) | X | TMR (4xxxx) | X
Multiple function switch | Block Output (0xxxx) | X | TMR (4xxxx) | X
Weekly Timer | Block Output (0xxxx) | X | X | X
Yearly Timer | Block Output (0xxxx) | X | X | X
Up/Down counter | Block Output (0xxxx) | X | CNT (l) (4xxxx) | CNT (h) (4xxxx)
Hours Counter | Block Output (0xxxx) | X | MN (l) (4xxxx) | MN (h) (4xxxx)
Threshold trigger | Block Output (0xxxx) | X | CNT (l) (4xxxx) | CNT (h) (4xxxx)
Analog Comparator | Block Output (0xxxx) | X | Ad_buf = (Ax-Ay) (l) (4xxxx) | Ad_buf = (Ax-Ay) (h) (4xxxx)
Analog threshold trigger | Block Output (0xxxx) | X | Ad_buf (l) (4xxxx) | Ad_buf (h) (4xxxx)
Analog Amplifier | Block Output (4xxxx) | X | Ad_buf (l) (4xxxx) | Ad_buf (h) (4xxxx)
Analog watchdog | Block Output (0xxxx) | Aen (4xxxx) | Ad_buf (l) (4xxxx) | Ad_buf (h) (4xxxx)
Analog differential trigger | Block Output (0xxxx) | X | Ad_buf (l) (4xxxx) | Ad_buf (h) (4xxxx)
Latching Relay | Block Output (0xxxx) | X | X | X
Pulse Relay | Block Output (0xxxx) | X | X | X
Message texts | Block Output (0xxxx) | X | X | X
Softkey | Block Output (0xxxx) | X | X | X
Shift register | Block Output (0xxxx) | X | X | X
Modbus Read | Block Output (0xxxx) | count (4xxxx) | Data_Add (4xxxx) | X
Modbus Write | Block Output (0xxxx) | count (4xxxx) | Data1 / Data_Add (4xxxx) | Data2 (4xxxx)
3-3. Database
When the tab on the upper tabs is switched to [image] , you can see the figure below.
We provide users with database functions. Users can stored the values of selected modules into the database. These data can be retrived from the database for further analysis in the future.

Note : The database is a Microsoft Access file. The file name is app_path\ARController.mdb.
Note : The file backups automatically when its size exceeds 500 MB. The backup file name is ARControllerYYYYMMDD.mdb.
Note : The file app_path\ARControllerTemplate.mdb should not be modified and deleted.

Instructions
 | Stop inserting data into the database.
 | Inserting data into the database.
 | Specify the time interval for inserting data into the database.

How to Use the Database

In the previous figure, users can retrive and delete data from the database. The combination of all drop-down boxes is the criteria for retriving and deleting data.

Note : The star sign(*) in drop-down boxes means all.
Note : If the number of retriving data is more than 3000. You have to reset the selection criteria.

Instructions
 | Retrieve data from the database.
 | Delete data from the database.
 | Export data to Excel.
 | Close the form.
3-4. Historical Trends
When the tab on the upper tabs is switched to [image] , you can see the figure below.
We provide users with historical trends. Users can analyze the data in the database to get useful infomation. The maximum number of the trends is 8.
How to Use the Historical Trends

In the previous figure, users can retrive data shown in graphic mode from the database. The combination of all drop-down boxes is the criteria for retriving data.

Note : The star sign(*) in drop-down boxes means all.
Note : If the number of retriving data is more than 3000. You have to reset the selection criteria.
Instructions
Switch a bar chart to line chart.
Switch a line chart to bar chart.
Retrieve data from the database and then draw a line chart or bar chart.

1. It tells users the total number of data displayed.
2. Users can decide the number of records to be displayed. There are 4 options: 30, 60, 90, 120.
3. It tells users the range of serial number of the data displayed.

Users can choose analog data to be displayed.
When any of the button [image] ~ [image] is pressed, you can see the following figure. It shows users the detailed information of the corresponding tag.
When the button [image] is pressed, you can see the following figure. Users can set Tag1 ~ Tag8.

3-5. Realtime Trends
When the tab on the upper tabs is switched to [image] , you can see the figure below.
We provide users with realtime trends. Users can receive realtime information. The maximum number of the trends is 8.
How to Use the Realtime Trends

Instructions
 | The main switch to start or stop the operation of realtime trends.
 | Open an audio file for alarm.
 | The main switch to start or stop the operation of alarm.
More Information about Individual Trend
The switch to start or stop the operation of individual realtime trends.
Settings for individual pen.
The switch to start or stop the operation of individual alarm.
Show users the detailed information of the corresponding data.

When the button [image] is pressed, you can see the following figure. Users can set individual pen.


Controller 1189

Controller 1189/2189 Instructions

Controller 1189/2189 is a palm-size distributed controller, which is powerful for industrial automation. It porvides real-time clock and watchdog timer functions, and three communication ports: RS-232, RS-422 and RS-485 with connectivity to PC and any other devices, which support Modbus protocol. These serial ports can achieve communication with baud rates up to 230.4 Kbps. Users can write function block diagrams and download them onto 1189/2189 for their applications. The maximum number of blocks is 1024 for each function block diagram.

1. Initial Mode

When the controller is in initial mode, you can see the following figure.

1-1. Communication Parameters
  • The communication parameters are read-only.

1-2. Real Time Clock
  • Calibration and Weekday are read-only.
  • You can set Year, Month, Day and Time. Press the Update button to store the changed values.
  • Press the Restore button to restore the RTC value from the controller's memory.
  • The Update and Restore buttons are available when the Year, Month, Day, Time values are changed.
  • Press the Sync button to synchronize the RTC time with PC.

1-3. More Information
You can find more information about the controller.

2. Normal Mode

When the controler is in normal mode, you can see the following figure.

2-1. Communication Parameters
Please refer to 1- 1.

2-2. Real Time Clock
Please refer to 1- 2 .

2-3. More Information
Please refer to 1- 3 .

3. More Information

When the button [image] is pressed, a form shows up. The form includes 5 tabs:
  • Tag Configuration
  • Controller Information
  • Database
  • Historical Trends
  • Realtime Trends

3-1. Tag Configuration
This tab contains 2 sub-tabs Category and Tag. Controller 1189/2189 contains lots of digital/analog inputs/outputs and flags. This section introduces you how to give useful information for each I/O and flag. A factory or manufacturing plant usually consists of buildings and equipment. It's possible that workers in factory need to handle many facilities such as electricity, gas, water, clean room and so on.

3-1-1. Category

Here is an example, electricity facility includes 2 electric panels : EL101 and EL102. Users can define them in Primary Category and Secondary Category respectively. By the same token, users can define RO water, clean room and other facilities etc.

Instructions
 | Go to the first record.
 | Go to the previous record.
 | Go to the next record.
 | Go to the last record.
 | Query records.
 | Add a record.
 | Update a record.
 | Delete a record.
 | Confirm the operation.
 | Cancel the operation.
 | Note : Users can use this button to import the following settings from an existing ARControllerYYMMDD.mdb file. 1. Primary / Secondary Category and Tags. 2. Historical Trends. 3. Realtime Trends.

3-1-2. Tag

Instructions
Tag | Specify the I/O channel or flag.
Alias | The detailed information of the tag.
 | Show the formats and ranges of all I/Os and flags. 1. Digital Input : I0 ~ I255. 2. Digital Output : Q0 ~ Q127. 3. Digital Flag : M0 ~ M511. 4. Analog Input : AI0 ~ AI63. 5. Analog Output : AQ0 ~ AQ31. 6. Analog Flag : AM0 ~ AM511.

3-2. Controller Information
When the tab on the upper tabs is switched to [image] , you can see the figure below. The figure includes 5 tabs:
  • System Info
  • Digital
  • Analog, By Category
  • Function Block

3-2-1. System Info
This page lets you get a deep view of the information and status of the controller. The data read from the controller provide the information and status. The label on the left side of each data indicates the meaning of each data.

3-2-2. Digital
This page provides the detailed informaion of digital signals, such as inputs, outputs, flags and shift register bits.

3-2-3. Analog
This page provides the detailed informaion of analog signals, such as inputs, outputs and flags.

3-2-4. By Category
This page provides the informaion of digital/analog inputs/outputs and flags by primary and secondary category.

3-2-5. Function Block
This page provides the detailed informaion of function block. Please rerer to the following table.
Block Type | Addr_ AIO (DIO) _1 | Addr_ AIO (DIO) _2 | Addr_ AIO (DIO) _3 | Addr_ AIO (DIO) _4
AND | Block Output (0xxxx) | X | X | X
AND (Edge) | Block Output (0xxxx) | X | X | X
NAND | Block Output (0xxxx) | X | X | X
NAND (Edge) | Block Output (0xxxx) | X | X | X
OR | Block Output (0xxxx) | X | X | X
NOR | Block Output (0xxxx) | X | X | X
XOR | Block Output (0xxxx) | X | X | X
NOT | Block Output (0xxxx) | X | X | X
On-Delay | Block Output (0xxxx) | X | TMR (4xxxx) | X
Off-Delay | Block Output (0xxxx) | X | TMR (4xxxx) | X
On-/Off-Delay | Block Output (0xxxx) | X | TMR (4xxxx) | X
Retentive on-Delay | Block Output (0xxxx) | X | TMR (4xxxx) | X
Wiping relay (pulse output) | Block Output (0xxxx) | X | TMR (4xxxx) | X
Edge triggered wiping relay | Block Output (0xxxx) | X | TMR (4xxxx) | X
Asynchronous Pulse Generator | Block Output (0xxxx) | X | TMR (4xxxx) | X
Random Generator | Block Output (0xxxx) | X | TMR (4xxxx) | X
Stairway lighting switch | Block Output (0xxxx) | X | TMR (4xxxx) | X
Multiple function switch | Block Output (0xxxx) | X | TMR (4xxxx) | X
Weekly Timer | Block Output (0xxxx) | X | X | X
Yearly Timer | Block Output (0xxxx) | X | X | X
Up/Down counter | Block Output (0xxxx) | X | CNT (l) (4xxxx) | CNT (h) (4xxxx)
Hours Counter | Block Output (0xxxx) | X | MN (l) (4xxxx) | MN (h) (4xxxx)
Threshold trigger | Block Output (0xxxx) | X | CNT (l) (4xxxx) | CNT (h) (4xxxx)
Analog Comparator | Block Output (0xxxx) | X | Ad_buf = (Ax-Ay) (l) (4xxxx) | Ad_buf = (Ax-Ay) (h) (4xxxx)
Analog threshold trigger | Block Output (0xxxx) | X | Ad_buf (l) (4xxxx) | Ad_buf (h) (4xxxx)
Analog Amplifier | Block Output (4xxxx) | X | Ad_buf (l) (4xxxx) | Ad_buf (h) (4xxxx)
Analog watchdog | Block Output (0xxxx) | Aen (4xxxx) | Ad_buf (l) (4xxxx) | Ad_buf (h) (4xxxx)
Analog differential trigger | Block Output (0xxxx) | X | Ad_buf (l) (4xxxx) | Ad_buf (h) (4xxxx)
Latching Relay | Block Output (0xxxx) | X | X | X
Pulse Relay | Block Output (0xxxx) | X | X | X
Message texts | Block Output (0xxxx) | X | X | X
Softkey | Block Output (0xxxx) | X | X | X
Shift register | Block Output (0xxxx) | X | X | X
Modbus Read | Block Output (0xxxx) | count (4xxxx) | Data_Add (4xxxx) | X
Modbus Write | Block Output (0xxxx) | count (4xxxx) | Data1 / Data_Add (4xxxx) | Data2 (4xxxx)
3-3. Database
When the tab on the upper tabs is switched to [image] , you can see the figure below.
We provide users with database functions. Users can stored the values of selected modules into the database. These data can be retrived from the database for further analysis in the future.

Note : The database is a Microsoft Access file. The file name is app_path\ARController.mdb.
Note : The file backups automatically when its size exceeds 500 MB. The backup file name is ARControllerYYYYMMDD.mdb.
Note : The file app_path\ARControllerTemplate.mdb should not be modified and deleted.

Instructions
 | Stop inserting data into the database.
 | Inserting data into the database.
 | Specify the time interval for inserting data into the database.

How to Use the Database

In the previous figure, users can retrive and delete data from the database. The combination of all drop-down boxes is the criteria for retriving and deleting data.

Note : The star sign(*) in drop-down boxes means all.
Note : If the number of retriving data is more than 3000. You have to reset the selection criteria.

Instructions
 | Retrieve data from the database.
 | Delete data from the database.
 | Export data to Excel.
 | Close the form.
3-4. Historical Trends
When the tab on the upper tabs is switched to [image] , you can see the figure below.
We provide users with historical trends. Users can analyze the data in the database to get useful infomation. The maximum number of the trends is 8.
How to Use the Historical Trends

In the previous figure, users can retrive data shown in graphic mode from the database. The combination of all drop-down boxes is the criteria for retriving data.

Note : The star sign(*) in drop-down boxes means all.
Note : If the number of retriving data is more than 3000. You have to reset the selection criteria.
Instructions
Switch a bar chart to line chart.
Switch a line chart to bar chart.
Retrieve data from the database and then draw a line chart or bar chart.

1. It tells users the total number of data displayed.
2. Users can decide the number of records to be displayed. There are 4 options: 30, 60, 90, 120.
3. It tells users the range of serial number of the data displayed.

Users can choose analog data to be displayed.
When any of the button [image] ~ [image] is pressed, you can see the following figure. It shows users the detailed information of the corresponding tag.
When the button [image] is pressed, you can see the following figure. Users can set Tag1 ~ Tag8.

3-5. Realtime Trends
When the tab on the upper tabs is switched to [image] , you can see the figure below.
We provide users with realtime trends. Users can receive realtime information. The maximum number of the trends is 8.
How to Use the Realtime Trends

Instructions
 | The main switch to start or stop the operation of realtime trends.
 | Open an audio file for alarm.
 | The main switch to start or stop the operation of alarm.
More Information about Individual Trend
The switch to start or stop the operation of individual realtime trends.
Settings for individual pen.
The switch to start or stop the operation of individual alarm.
Show users the detailed information of the corresponding data.

When the button [image] is pressed, you can see the following figure. Users can set individual pen.


Module 1051

Module 1051 Instructions

Module 1051 provides 16 isolated digital input channels.

1. Initial Mode

When the module is in initial mode, you can see the following figure. All of the module's parameters and relative values can be set in this mode.

1-1. Communication Parameters
  • Press the Update button after all parameters are set. You can set the following parameters.
  • Station : From 1 to 255 (decimal).
  • Baud Rate : 1200 , 2400, 4800, 9600, 14.4K, 19.2K, 28.8K, 38.4K, 57.6K, 115.2K, 230.4K (bps).
  • Parity : None, Odd, Even.
  • Data Bit : 8 (read-only).
  • Stop Bit : 1, 2.
  • Protocol : Modbus-RTU, Modbus-ASCII.
  • Note : We strongly recommend you to set each module with a different Station number.
  • Note : If two (or more) modules are set with the same Station number, you should set each of these modules with a different Baud Rate or Protocol.

1-2. Comm. Fail Safe
  • When a module is running, the module's Comm. Safety Flag (in Communication Parameters) value is set to the PC's system time if it receives no request longer than the designated time. The designated time can be set in the Timeout Setting textbox.
  • The designated time can be stored in the module's memory after the Update button is pressed. The change takes effect at once.
  • You can restore the Timeout Setting value from the module's memory by pressing the Restore button.

1-3. Digital Input
  • The Digital Input value is read-only. The value is shown in binary format on buttons DI 0 to DI 15.
  • The value is also showed in hexadecimal format in the Digital Input (Hex) textbox.

2. Normal Mode

When the module is in normal mode, you can see the following figure.

2-1. Communication Parameters
  • The communication parameters are read-only.

2-2. Modbus Mapping / Comm. Fail Safe
  • The Modbus Mapping tab shows the detailed information of digital input channels.
  • The Comm. Fail Safe tab is read-only. Click here for more information.

2-3. Digital Input
Please refer to 1- 3 for more information.


Module 1055

Module 1055 Instructions

Module 1055 provides 8 sink-type isolated digital output channels and 8 isolated digital input channels.

1. Initial Mode

When the module is in initial mode, you can see the following figure. All of the module's parameters and relative values can be set in this mode.

1-1. Communication Parameters
  • Press the Update button after all parameters are set. You can set the following parameters.
  • Station : From 1 to 255 (decimal).
  • Baud Rate : 1200 , 2400, 4800, 9600, 14.4K, 19.2K, 28.8K, 38.4K, 57.6K, 115.2K, 230.4K (bps).
  • Parity : None, Odd, Even.
  • Data Bit : 8 (read-only).
  • Stop Bit : 1, 2.
  • Protocol : Modbus-RTU, Modbus-ASCII.
  • Note : We strongly recommend you to set each module with a different Station number.
  • Note : If two (or more) modules are set with the same Station number, you should set each of these modules with a different Baud Rate or Protocol.

1-2. Comm. Fail Safe
  • When a module is running, the module's DO's are set to the CFS value if it receives no request longer than the designated time. The module's Comm. Safety Flag (in Communication Parameters) value is also set to the PC's system time. The designated time can be set in the Timeout Setting textbox.
  • You can set the CFS value by clicking the buttons, DO 0 to DO 7 . The value and designated time can then be stored in the module's memory after the Update button is pressed. The changes do not take effect until you restart the module.
  • You can restore the CFS value and designated time from the module's memory by pressing the Restore button.

1-3. Power On Digital Output
  • When the power is on, the module DO's are set to the PODO value. In other words, the PODO value is the initial value of the module DO's.
  • You can set the PODO value by clicking the buttons, DO 0 to DO 7 . The value can then be stored in the module's memory after the Update button is pressed. The changes do not take effect until you restart the module.
  • You can restore the PODO value from the module's memory by pressing the Restore button.

1-4. Digital Output
  • You can set the Digital Output value by clicking the buttons, DO 0 to DO 7 . The changes take effect immediately.
  • The value is also showed in hexadecimal format in the Digital Output (Hex) textbox.

1-5. Digital Input
  • The Digital Input value is read-only. The value is shown in binary format on buttons DI 0 to DI 7 .
  • The value is also showed in hexadecimal format in the Digital Input (Hex) textbox.

2. Normal Mode

When the module is in normal mode, you can see the following figure.

2-1. Communication Parameters
  • The communication parameters are read-only.

2-2. Modbus Mapping / Comm. Fail Safe / Power On Digital Output
  • The Modbus Mapping tab shows the detailed information of digital input and output channels.
  • The Comm. Fail Safe tab is read-only. Click here for more information.
  • The Power On Digital Output tab is read-only. Click here for more information.

2-3. Digital Output
Please refer to 1- 4 for more information.

2-4. Digital Input
Please refer to 1- 5 for more information.


Module 1055S

Module 1055S Instructions

Module 1055S provides 8 source-type isolated digital output channels and 8 isolated digital input channels.

1. Initial Mode

When the module is in initial mode, you can see the following figure. All of the module's parameters and relative values can be set in this mode.

1-1. Communication Parameters
  • Press the Update button after all parameters are set. You can set the following parameters.
  • Station : From 1 to 255 (decimal).
  • Baud Rate : 1200 , 2400, 4800, 9600, 14.4K, 19.2K, 28.8K, 38.4K, 57.6K, 115.2K, 230.4K (bps).
  • Parity : None, Odd, Even.
  • Data Bit : 8 (read-only).
  • Stop Bit : 1, 2.
  • Protocol : Modbus-RTU, Modbus-ASCII.
  • Note : We strongly recommend you to set each module with a different Station number.
  • Note : If two (or more) modules are set with the same Station number, you should set each of these modules with a different Baud Rate or Protocol.

1-2. Comm. Fail Safe
  • When a module is running, the module's DO's are set to the CFS value if it receives no request longer than the designated time. The module's Comm. Safety Flag (in Communication Parameters) value is also set to the PC's system time. The designated time can be set in the Timeout Setting textbox.
  • You can set the CFS value by clicking the buttons, DO 0 to DO 7 . The value and designated time can then be stored in the module's memory after the Update button is pressed. The changes do not take effect until you restart the module.
  • You can restore the CFS value and designated time from the module's memory by pressing the Restore button.

1-3. Power On Digital Output
  • When the power is on, the module DO's are set to the PODO value. In other words, the PODO value is the initial value of the module DO's.
  • You can set the PODO value by clicking the buttons, DO 0 to DO 7 . The value can then be stored in the module's memory after the Update button is pressed. The changes do not take effect until you restart the module.
  • You can restore the PODO value from the module's memory by pressing the Restore button.

1-4. Digital Output
  • You can set the Digital Output value by clicking the buttons, DO 0 to DO 7 . The changes take effect immediately.
  • The value is also showed in hexadecimal format in the Digital Output (Hex) textbox.

1-5. Digital Input
  • The Digital Input value is read-only. The value is shown in binary format on buttons DI 0 to DI 7 .
  • The value is also showed in hexadecimal format in the Digital Input (Hex) textbox.

2. Normal Mode

When the module is in normal mode, you can see the following figure.

2-1. Communication Parameters
  • The communication parameters are read-only.

2-2. Modbus Mapping / Comm. Fail Safe / Power On Digital Output
  • The Modbus Mapping tab shows the detailed information of digital input and output channels.
  • The Comm. Fail Safe tab is read-only. Click here for more information.
  • The Power On Digital Output tab is read-only. Click here for more information.

2-3. Digital Output
Please refer to 1- 4 for more information.

2-4. Digital Input
Please refer to 1- 5 for more information.


Module 1057

Module 1057 Instructions

Module 1057 provides 12 source-type isolated digital output channels.

1. Initial Mode

When the module is in initial mode, you can see the following figure. All of the module's parameters and relative values can be set in this mode.

1-1. Communication Parameters
  • Press the Update button after all parameters are set. You can set the following parameters.
  • Station : From 1 to 255 (decimal).
  • Baud Rate : 1200 , 2400, 4800, 9600, 14.4K, 19.2K, 28.8K, 38.4K, 57.6K, 115.2K, 230.4K (bps).
  • Parity : None, Odd, Even.
  • Data Bit : 8 (read-only).
  • Stop Bit : 1, 2.
  • Protocol : Modbus-RTU, Modbus-ASCII.
  • Note : We strongly recommend you to set each module with a different Station number.
  • Note : If two (or more) modules are set with the same Station number, you should set each of these modules with a different Baud Rate or Protocol.

1-2. Comm. Fail Safe
  • When a module is running, the module's DO's are set to the CFS value if it receives no request longer than the designated time. The module's Comm. Safety Flag (in Communication Parameters) value is also set to the PC's system time. The designated time can be set in the Timeout Setting textbox.
  • You can set the CFS value by clicking the buttons, DO 0 to DO 11. The value and designated time can then be stored in the module's memory after the Update button is pressed. The changes do not take effect until you restart the module.
  • You can restore the CFS value and designated time from the module's memory by pressing the Restore button.

1-3. Power On Digital Output
  • When the power is on, the module DO's are set to the PODO value. In other words, the PODO value is the initial value of the module DO's.
  • You can set the PODO value by clicking the buttons, DO 0 to DO 11. The value can then be stored in the module's memory after the Update button is pressed. The changes do not take effect until you restart the module.
  • You can restore the PODO value from the module's memory by pressing the Restore button.

1-4. Digital Output
  • You can set the Digital Output value by clicking the buttons, DO 0 to DO 11. The changes take effect immediately.
  • The value is also showed in hexadecimal format in the Digital Output (Hex) textbox.

2. Normal Mode

When the module is in normal mode, you can see the following figure.

2-1. Communication Parameters
  • The communication parameters are read-only.

2-2. Modbus Mapping / Comm. Fail Safe / Power On Digital Output
  • The Modbus Mapping tab shows the detailed information of digital output channels.
  • The Comm. Fail Safe tab is read-only. Click here for more information.
  • The Power On Digital Output tab is read-only. Click here for more information.

2-3. Digital Output
Please refer to 1- 4 for more information.


Module 1058

Module 1058 Instructions

Module 1058 provides 12 sink-type isolated digital output channels.

1. Initial Mode

When the module is in initial mode, you can see the following figure. All of the module's parameters and relative values can be set in this mode.

1-1. Communication Parameters
  • Press the Update button after all parameters are set. You can set the following parameters.
  • Station : From 1 to 255 (decimal).
  • Baud Rate : 1200 , 2400, 4800, 9600, 14.4K, 19.2K, 28.8K, 38.4K, 57.6K, 115.2K, 230.4K (bps).
  • Parity : None, Odd, Even.
  • Data Bit : 8 (read-only).
  • Stop Bit : 1, 2.
  • Protocol : Modbus-RTU, Modbus-ASCII.
  • Note : We strongly recommend you to set each module with a different Station number.
  • Note : If two (or more) modules are set with the same Station number, you should set each of these modules with a different Baud Rate or Protocol.

1-2. Comm. Fail Safe
  • When a module is running, the module's DO's are set to the CFS value if it receives no request longer than the designated time. The module's Comm. Safety Flag (in Communication Parameters) value is also set to the PC's system time. The designated time can be set in the Timeout Setting textbox.
  • You can set the CFS value by clicking the buttons, DO 0 to DO 11. The value and designated time can then be stored in the module's memory after the Update button is pressed. The changes do not take effect until you restart the module.
  • You can restore the CFS value and designated time from the module's memory by pressing the Restore button.

1-3. Power On Digital Output
  • When the power is on, the module DO's are set to the PODO value. In other words, the PODO value is the initial value of the module DO's.
  • You can set the PODO value by clicking the buttons, DO 0 to DO 11. The value can then be stored in the module's memory after the Update button is pressed. The changes do not take effect until you restart the module.
  • You can restore the PODO value from the module's memory by pressing the Restore button.

1-4. Digital Output
  • You can set the Digital Output value by clicking the buttons, DO 0 to DO 11. The changes take effect immediately.
  • The value is also showed in hexadecimal format in the Digital Output (Hex) textbox.

2. Normal Mode

When the module is in normal mode, you can see the following figure.

2-1. Communication Parameters
  • The communication parameters are read-only.

2-2. Modbus Mapping / Comm. Fail Safe / Power On Digital Output
  • The Modbus Mapping tab shows the detailed information of digital output channels.
  • The Comm. Fail Safe tab is read-only. Click here for more information.
  • The Power On Digital Output tab is read-only. Click here for more information.

2-3. Digital Output
Please refer to 1- 4 for more information.


Module 1060

Module 1060 Instructions

Module 1060 provides 4 power-relay isolated digital output channels and 8 isolated digital input channels.

1. Initial Mode

When the module is in initial mode, you can see the following figure. All of the module's parameters and relative values can be set in this mode.

1-1. Communication Parameters
  • Press the Update button after all parameters are set. You can set the following parameters.
  • Station : From 1 to 255 (decimal).
  • Baud Rate : 1200 , 2400, 4800, 9600, 14.4K, 19.2K, 28.8K, 38.4K, 57.6K, 115.2K, 230.4K (bps).
  • Parity : None, Odd, Even.
  • Data Bit : 8 (read-only).
  • Stop Bit : 1, 2.
  • Protocol : Modbus-RTU, Modbus-ASCII.
  • Note : We strongly recommend you to set each module with a different Station number.
  • Note : If two (or more) modules are set with the same Station number, you should set each of these modules with a different Baud Rate or Protocol.

1-2. Comm. Fail Safe
  • When a module is running, the module's DO's are set to the CFS value if it receives no request longer than the designated time. The module's Comm. Safety Flag (in Communication Parameters) value is also set to the PC's system time. The designated time can be set in the Timeout Setting textbox.
  • You can set the CFS value by clicking the buttons, DO 0 to DO 3 . The value and designated time can then be stored in the module's memory after the Update button is pressed. The changes do not take effect until you restart the module.
  • You can restore the CFS value and designated time from the module's memory by pressing the Restore button.

1-3. Power On Digital Output
  • When the power is on, the module DO's are set to the PODO value. In other words, the PODO value is the initial value of the module DO's.
  • You can set the PODO value by clicking the buttons, DO 0 to DO 3 . The value can then be stored in the module's memory after the Update button is pressed. The changes do not take effect until you restart the module.
  • You can restore the PODO value from the module's memory by pressing the Restore button.

1-4. Digital Output
  • You can set the Digital Output value by clicking the buttons, DO 0 to DO 3 . The changes take effect immediately.
  • The value is also showed in hexadecimal format in the Digital Output (Hex) textbox.

1-5. Digital Input
  • The Digital Input value is read-only. The value is shown in binary format on buttons DI 0 to DI 7 .
  • The value is also showed in hexadecimal format in the Digital Input (Hex) textbox.

2. Normal Mode

When the module is in normal mode, you can see the following figure.

2-1. Communication Parameters
  • The communication parameters are read-only.

2-2. Modbus Mapping / Comm. Fail Safe / Power On Digital Output
  • The Modbus Mapping tab shows the detailed information of digital input and output channels.
  • The Comm. Fail Safe tab is read-only. Click here for more information.
  • The Power On Digital Output tab is read-only. Click here for more information.

2-3. Digital Output
Please refer to 1- 4 for more information.

2-4. Digital Input
Please refer to 1- 5 for more information.


Module 1068

Module 1068 Instructions

Module 1068 provides 8 relay digital output channels.

1. Initial Mode

When the module is in initial mode, you can see the following figure. All of the module's parameters and relative values can be set in this mode.

1-1. Communication Parameters
  • Press the Update button after all parameters are set. You can set the following parameters.
  • Station : From 1 to 255 (decimal).
  • Baud Rate : 1200 , 2400, 4800, 9600, 14.4K, 19.2K, 28.8K, 38.4K, 57.6K, 115.2K, 230.4K (bps).
  • Parity : None, Odd, Even.
  • Data Bit : 8 (read-only).
  • Stop Bit : 1, 2.
  • Protocol : Modbus-RTU, Modbus-ASCII.
  • Note : We strongly recommend you to set each module with a different Station number.
  • Note : If two (or more) modules are set with the same Station number, you should set each of these modules with a different Baud Rate or Protocol.

1-2. Comm. Fail Safe
  • When a module is running, the module's DO's are set to the CFS value if it receives no request longer than the designated time. The module's Comm. Safety Flag (in Communication Parameters) value is also set to the PC's system time. The designated time can be set in the Timeout Setting textbox.
  • You can set the CFS value by clicking the buttons, DO 0 to DO 7. The value and designated time can then be stored in the module's memory after the Update button is pressed. The changes do not take effect until you restart the module.
  • You can restore the CFS value and designated time from the module's memory by pressing the Restore button.

1-3. Power On Digital Output
  • When the power is on, the module DO's are set to the PODO value. In other words, the PODO value is the initial value of the module DO's.
  • You can set the PODO value by clicking the buttons, DO 0 to DO 7. The value can then be stored in the module's memory after the Update button is pressed. The changes do not take effect until you restart the module.
  • You can restore the PODO value from the module's memory by pressing the Restore button.

1-4. Digital Output
  • You can set the Digital Output value by clicking the buttons, DO 0 to DO 7. The changes take effect immediately.
  • The value is also showed in hexadecimal format in the Digital Output (Hex) textbox.

2. Normal Mode

When the module is in normal mode, you can see the following figure.

2-1. Communication Parameters
  • The communication parameters are read-only.

2-2. Modbus Mapping / Comm. Fail Safe / Power On Digital Output
  • The Modbus Mapping tab shows the detailed information of digital output channels.
  • The Comm. Fail Safe tab is read-only. Click here for more information.
  • The Power On Digital Output tab is read-only. Click here for more information.

2-3. Digital Output
Please refer to 1- 4 for more information.


Module 1069

Module 1069 Instructions

Module 1069 provides 8 power relay digital output channels.

1. Initial Mode

When the module is in initial mode, you can see the following figure. All of the module's parameters and relative values can be set in this mode.

1-1. Communication Parameters
  • Press the Update button after all parameters are set. You can set the following parameters.
  • Station : From 1 to 255 (decimal).
  • Baud Rate : 1200 , 2400, 4800, 9600, 14.4K, 19.2K, 28.8K, 38.4K, 57.6K, 115.2K, 230.4K (bps).
  • Parity : None, Odd, Even.
  • Data Bit : 8 (read-only).
  • Stop Bit : 1, 2.
  • Protocol : Modbus-RTU, Modbus-ASCII.
  • Note : We strongly recommend you to set each module with a different Station number.
  • Note : If two (or more) modules use the same Station number, you should set each of these modules with a different Baud Rate or Protocol.

1-2. Comm. Fail Safe
  • When a module is running, the module's DO's are set to the CFS value if it receives no request longer than the designated time. The module's Comm. Safety Flag (in Communication Parameters) value is also set to the PC's system time. The designated time can be set in the Timeout Setting textbox.
  • You can set the CFS value by clicking the buttons, DO 0 to DO 7. The value and designated time can then be stored in the module's memory after the Update button is pressed. The changes do not take effect until you restart the module.
  • You can restore the CFS value and designated time from the module's memory by pressing the Restore button.

1-3. Power On Digital Output
  • When the power is on, the module DO's are set to the PODO value. In other words, the PODO value is the initial value of the module DO's.
  • You can set the PODO value by clicking the buttons, DO 0 to DO 7 . The value can then be stored in the module's memory after the Update button is pressed. The changes do not take effect until you restart the module.
  • You can restore the PODO value from the module's memory by pressing the Restore button.

1-4. Digital Output
  • You can set the Digital Output value by clicking the buttons, D0 0 to DO 7. The changes take effect immediately.
  • The value is also showed in hexadecimal format in the Digital Output (Hex) textbox.

2. Normal Mode

When the module is in normal mode, you can see the following figure.

2-1. Communication Parameters
  • The communication parameters are read-only.

2-2. Modbus Mapping
  • The Modbus Mapping tab shows the detailed information of digital output channels.
  • The Comm. Fail Safe tab is read-only. Click here for more information.
  • The Power On Digital Output tab is read-only. Click here for more information.

2-3. Digital Output
Please refer to 1- 4 for more information.


Module 3016

Module 3016 Instructions

Module 3016 is a RF(Radio Frequency - VHF) module which can receive signals from a transmitter. It is also a programmable controller in which users can write logic gate diagrams for further applications.

1. Initial Mode

When the module is in initial mode, you can see the following figure. All of the module's parameters and relative values can be set in this mode.

1-1. Communication Parameters
  • Press the Update button after all parameters are set. You can set the following parameters.
  • Station : From 1 to 255 (decimal).
  • Baud Rate : 1200 , 2400, 4800, 9600, 14.4K, 19.2K, 28.8K, 38.4K, 57.6K, 115.2K (bps).
  • Parity : None, Odd, Even.
  • Data Bit : 8 (read-only).
  • Stop Bit : 1, 2.
  • Protocol : Modbus-RTU, Modbus-ASCII.
  • Note : We strongly recommend you to set each module with a different Station number.
  • Note : If two (or more) modules are set with the same Station number, you should set each of these modules with a different Baud Rate or Protocol.

1-2. Comm. Fail Safe
  • When a module is running, the module's DO's are set to the CFS value if it receives no request longer than the designated time. The module's Comm. Safety Flag (in Communication Parameters) value is also set to the PC's system time. The designated time can be set in the Timeout Setting textbox.
  • You can set the CFS value by clicking the buttons, DO 0 to DO 6. The value and designated time can then be stored in the module's memory after the Update button is pressed. The changes do not take effect until you restart the module.
  • You can restore the CFS value and designated time from the module's memory by pressing the Restore button.

1-3. Power On Digital Output
  • When the power is on, the module DO's are set to the PODO value. In other words, the PODO value is the initial value of the module DO's.
  • You can set the PODO value by clicking the buttons, DO 0 to DO 6. The value can then be stored in the module's memory after the Update button is pressed. The changes do not take effect until you restart the module.
  • You can restore the PODO value from the module's memory by pressing the Restore button.

1-4. ID Code
  • There is a set of ID Code on the label, which is on the back of the transmitter. You can bind the transmitter to 3016 by setting the identical ID Code on both sides.
  • You can store the ID Code by clicking the Update button.
  • You can restore the ID Code from the module's memory by pressing the Restore button.
  • Note : Do not lose the ID Code on the transmitter. You cannot bind 3016 to the transmitter if the ID Code on both sides are not identical.

1-5. Digital Output
  • You can set the Digital Output value by clicking the buttons, DO 0 to DO 6. The changes take effect immediately.
  • The value is also showed in hexadecimal format in the Digital Output (Hex) textbox.

1-6. RF Digital Input
  • The Digital Input value is read-only. The value is shown in binary format on buttons DI 0 to DI 5.
  • The value is also showed in hexadecimal format in the Digital Input (Hex) textbox.

1-7. Current Values of Counters
The current values of 16 counters are shown in this tab.

Logic Gate Diagram : Users can write logic gate diagram for RF modules. It is unavailable in normal mode.

1-8. Current Values of Timers
The current values of 16 timers are shown in this tab.

1-9. Switch Control

Instructions
Keep output values : The output values are kept when logic gate diagram(LGD) stops.
Clear output values : The output values are cleared when logic gate diagram(LGD) stops.
 | Restore the Keep/Clear output values setting from the module's memory.
 | Update the Keep/Clear output values setting to the module's memory.
 | Start running the RF module's program which is written in logic gate diagram.
 | Stop running the RF module's program which is written in logic gate diagram.

2. Normal Mode

When the module is in normal mode, you can see the following figure.

2-1. Communication Parameters
  • The communication parameters are read-only.

2-2. Modbus Mapping / Comm. Fail Safe / Power On Digital Output / ID Code
  • The Modbus Mapping tab shows the detailed information of digital input and output channels.
  • The Comm. Fail Safe tab is read-only. Click here for more information.
  • The Power On Digital Output tab is read-only. Click here for more information.
  • The ID Code tab is read-only. Click here for more information.

2-3. Digital Output
Please refer to 1- 5 for more information.

2-4. RF Digital Input
Please refer to 1- 6 for more information.

2-5. Current Values of Counters / Current Values of Timers / Switch Control

Please refer to 1- 7 , 1- 8 , 1- 9 respectively.

3. Logic Gate Diagram

Logic Gate Diagram includes 3 parts. They are as follows:
  • Tool Bar
  • Profile of All Logic Gates & Components
  • Individual Logic Gate & Component

3-1. Tool Bar

Instructions
 | New : Create a new file.
 | Open : Open an existing file.
 | Save : Save the logic gate diagram to a designated file.
 | SaveAs : Save the logic gate diagram to another file.
 | Switch Control : Please refer to 1- 9 .
 | PC -> RF Module : Download the logic gate diagram to 3016.
 | RF Module -> PC : Upload the logic gate diagram from 3016.
 | Project Contents : Show the detailed information of each of all logic gates and components.
 | Exit : Close the form.

3-2. Profile of All Logic Gates & Components
Users can see the profile of all logic gates and components in this block. The borderline color of any logic gate or component turns red when its input value is not NOP.

3-3. Individual Logic Gate & Component
Users can choose the input type of any logic gate or component and then set the input values for it. Any changes made in this block reflect in the Profile of All Logic Gates & Components block at once.

Logic gates and their input types are as follows :
Logic Gates
Name | Image | Input Number | Output Number | Output Type
NOT |  | 1 | 1 | Logic Gate Output
AND |  | 3 | 1 | Logic Gate Output
NAND |  | 3 | 1 | Logic Gate Output
OR |  | 3 | 1 | Logic Gate Output
NOR |  | 3 | 1 | Logic Gate Output
XOR |  | 3 | 1 | Logic Gate Output
NXOR |  | 3 | 1 | Logic Gate Output

Input Types
Name | Index Range
RF Input | 0 ~ 5
Entity | 0 ~ 6
Logic Gate Output | 0 ~ 255
Counter | 0 ~ 15
Timer | 0 ~ 15
M Flag | 0 ~ 31

Components and their input types are as follows :
Components
Name | Image | Input Number | Description of Input | Output Number | Index Range | Output Type | Setting Value
Counter |  | 2 | 1st : Clock Source | 1 | 0 ~ 15 | Counter | 0 ~ 65535
 |  |  | 2nd : Clear
Timer |  | 2 | 1st : Enabled | 1 | 0 ~ 15 | Timer | 0 ~ 65535 msec
 |  |  | 2nd : Clear
Entity |  | 1 |  | 0 | 0 ~ 6 | Digital |
M Flag |  | 1 |  | 0 | 0 ~ 31 | M Flag |
Input Types
Name | Index Range
RF Input | 0 ~ 5
Entity | 0 ~ 6
Logic Gate Output | 0 ~ 255
Counter | 0 ~ 15
Timer | 0 ~ 15
M Flag | 0 ~ 31


Module 3016U

Module 3016U Instructions

Module 3016U is a RF(Radio Frequency - UHF) module which can receive signals from a transmitter. It is also a programmable controller in which users can write logic gate diagrams for further applications.

1. Initial Mode

When the module is in initial mode, you can see the following figure. All of the module's parameters and relative values can be set in this mode.

1-1. Communication Parameters
  • Press the Update button after all parameters are set. You can set the following parameters.
  • Station : From 1 to 255 (decimal).
  • Baud Rate : 1200 , 2400, 4800, 9600, 14.4K, 19.2K, 28.8K, 38.4K, 57.6K, 115.2K (bps).
  • Parity : None, Odd, Even.
  • Data Bit : 8 (read-only).
  • Stop Bit : 1, 2.
  • Protocol : Modbus-RTU, Modbus-ASCII.
  • Note : We strongly recommend you to set each module with a different Station number.
  • Note : If two (or more) modules are set with the same Station number, you should set each of these modules with a different Baud Rate or Protocol.

1-2. Comm. Fail Safe
  • When a module is running, the module's DO's are set to the CFS value if it receives no request longer than the designated time. The module's Comm. Safety Flag (in Communication Parameters) value is also set to the PC's system time. The designated time can be set in the Timeout Setting textbox.
  • You can set the CFS value by clicking the buttons, DO 0 to DO 6. The value and designated time can then be stored in the module's memory after the Update button is pressed. The changes do not take effect until you restart the module.
  • You can restore the CFS value and designated time from the module's memory by pressing the Restore button.

1-3. Power On Digital Output
  • When the power is on, the module DO's are set to the PODO value. In other words, the PODO value is the initial value of the module DO's.
  • You can set the PODO value by clicking the buttons, DO 0 to DO 6. The value can then be stored in the module's memory after the Update button is pressed. The changes do not take effect until you restart the module.
  • You can restore the PODO value from the module's memory by pressing the Restore button.

1-4. ID Code
  • There is a set of ID Code on the label, which is on the back of the transmitter. You can bind the transmitter to 3016 by setting the identical ID Code on both sides.
  • You can store the ID Code by clicking the Update button.
  • You can restore the ID Code from the module's memory by pressing the Restore button.
  • Note : Do not lose the ID Code on the transmitter. You cannot bind 3016 to the transmitter if the ID Code on both sides are not identical.

1-5. Digital Output
  • You can set the Digital Output value by clicking the buttons, DO 0 to DO 6. The changes take effect immediately.
  • The value is also showed in hexadecimal format in the Digital Output (Hex) textbox.

1-6. RF Digital Input
  • The Digital Input value is read-only. The value is shown in binary format on buttons DI 0 to DI 5.
  • The value is also showed in hexadecimal format in the Digital Input (Hex) textbox.

1-7. Current Values of Counters
The current values of 16 counters are shown in this tab.

Logic Gate Diagram : Users can write logic gate diagram for RF modules. It is unavailable in normal mode.

1-8. Current Values of Timers
The current values of 16 timers are shown in this tab.

1-9. Switch Control

Instructions
Keep output values : The output values are kept when logic gate diagram(LGD) stops.
Clear output values : The output values are cleared when logic gate diagram(LGD) stops.
 | Restore the Keep/Clear output values setting from the module's memory.
 | Update the Keep/Clear output values setting to the module's memory.
 | Start running the RF module's program which is written in logic gate diagram.
 | Stop running the RF module's program which is written in logic gate diagram.

2. Normal Mode

When the module is in normal mode, you can see the following figure.

2-1. Communication Parameters
  • The communication parameters are read-only.

2-2. Modbus Mapping / Comm. Fail Safe / Power On Digital Output / ID Code
  • The Modbus Mapping tab shows the detailed information of digital input and output channels.
  • The Comm. Fail Safe tab is read-only. Click here for more information.
  • The Power On Digital Output tab is read-only. Click here for more information.
  • The ID Code tab is read-only. Click here for more information.

2-3. Digital Output
Please refer to 1- 5 for more information.

2-4. RF Digital Input
Please refer to 1- 6 for more information.

2-2. Current Values of Counters / Current Values of Timers / Switch Control

Please refer to 1- 7 , 1- 8 , 1- 9 respectively.

3. Logic Gate Diagram

Logic Gate Diagram includes 3 parts. They are as follows:
  • Tool Bar
  • Profile of All Logic Gates & Components
  • Individual Logic Gate & Component

3-1. Tool Bar

Instructions
 | New : Create a new file.
 | Open : Open an existing file.
 | Save : Save the logic gate diagram to a designated file.
 | SaveAs : Save the logic gate diagram to another file.
 | Switch Control : Please refer to 1- 9 .
 | PC -> RF Module : Download the logic gate diagram to 3016U.
 | RF Module -> PC : Upload the logic gate diagram from 3016U.
 | Project Contents : Show the detailed information of each of all logic gates and components.
 | Exit : Close the form.

3-2. Profile of All Logic Gates & Components
Users can see the profile of all logic gates and components in this block. The borderline color of any logic gate or component turns red when its input value is not NOP.

3-3. Individual Logic Gate & Component
Users can choose the input type of any logic gate or component and then set the input values for it. Any changes made in this block reflect in the Profile of All Logic Gates & Components block at once.

Logic gates and their input types are as follows :
Logic Gates
Name | Image | Input Number | Output Number | Output Type
NOT |  | 1 | 1 | Logic Gate Output
AND |  | 3 | 1 | Logic Gate Output
NAND |  | 3 | 1 | Logic Gate Output
OR |  | 3 | 1 | Logic Gate Output
NOR |  | 3 | 1 | Logic Gate Output
XOR |  | 3 | 1 | Logic Gate Output
NXOR |  | 3 | 1 | Logic Gate Output

Input Types
Name | Index Range
RF Input | 0 ~ 5
Entity | 0 ~ 6
Logic Gate Output | 0 ~ 255
Counter | 0 ~ 15
Timer | 0 ~ 15
M Flag | 0 ~ 31

Components and their input types are as follows :
Components
Name | Image | Input Number | Description of Input | Output Number | Index Range | Output Type | Setting Value
Counter |  | 2 | 1st : Clock Source | 1 | 0 ~ 15 | Counter | 0 ~ 65535
 |  |  | 2nd : Clear
Timer |  | 2 | 1st : Enabled | 1 | 0 ~ 15 | Timer | 0 ~ 65535 msec
 |  |  | 2nd : Clear
Entity |  | 1 |  | 0 | 0 ~ 6 | Digital |
M Flag |  | 1 |  | 0 | 0 ~ 31 | M Flag |
Input Types
Name | Index Range
RF Input | 0 ~ 5
Entity | 0 ~ 6
Logic Gate Output | 0 ~ 255
Counter | 0 ~ 15
Timer | 0 ~ 15
M Flag | 0 ~ 31


Time Switch 4848

Time Switch 4848 Instructions

Time switch 4848 is a digital time switch which provides two independent output circuits. You can set the schedule entries by entering parameters on the screen and download them onto the module. The module can control the output circuits according to the schedule entries.

1. Main Menu

When the module is running, you can see the following figure.

1-1. Communication Parameters
  • The communication parameters are read-only.
  • Note : If the Write-in is off, you can not set relative parameters on other forms after pressing the More Settings button.

1-2. Circuit Status
  • Output : The bulb is red when the circuit output is on, otherwise it is gray.
  • Next Op Time : The next operation settings of each circuit within the next 24 hours (for advanced type only).

1-3. Real Time Clock
  • You can set Weekday and Time. Press the Update button to store the changed values.
  • Press the Restore button to restore the RTC value from the timer's memory.
  • The Update and Restore buttons are available when the Weekday or Time values are changed.

2. More Settings

When the More Settings button is pressed, you can find more information about the module and see the following figure. The figure includes 3 parts:
  • Tool Bar
  • Main Settings
  • Circuit 1 & Circuit 2

2-1. Tool Bar

Instructions
 | Open an existing file.
 | Save the settings to a designated file.
 | Save the settings to another file.
 | Insert a scheduled item into the table. Available when Circuit1 or Circuit2 tab is chosen. Note : Double Clicking on the Table (refer to Figure-1) has the same effect.
 | Delete a selected item from the Table (refer to Figure-1). Available when Circuit1 or Circuit2 tab is chosen.
 | Download the contents in the Table (refer to Figure-1) onto the module.
 | Close the form.

Note : The contents in Circuit1 and Circuit2 tab depends on the Type you select (Basic or Advanced).

2-2. Main Settings

Instructions
Type | Basic or advanced.
Key Protection | Enable the key protection function or not.
Manual Control | Automatic, force output off , force output on.
 | Force output off and return, force output on and return (for advanced type only).
12/24 Hour Format | 12-hour format or 24-hour format (for advanced type only).
Summer Time | Enable the DST function or not (for advanced type only).
Display Switch | Switch the display to circuit1 or circuit2 (for advanced type only).
Temporary Holidays | Shut down the circuit on non-working days (for advanced type only).

Note : Choose Type before your further settings in Circuit 1 & Circuit 2 tab.

2-3. Circuit1 & Circuit2

Circuit1 and circuit2 are two independent output circuits.You can schedule them seperately.
Basic Type | Timer | Turn on and off the circuit at specified time. (20 entities share the same weekday.)
 | Cycle | Turn on or off the circuit for specified duration cyclically. (20 entities share the same weekday.)
Advanced Type | Timer | Turn on and off the circuit at specified time. (You can designate weekday to each entity.)
 | Pulse | Turn on the circuit for the duration of specified Pulse Width at specified time and then turn it off. (You can designate weekday to each entity.)

Note : Both of the circuits can be either Basic or Advanced type. They can not be different types.
Note : Each circuit has 20 entries. In basic type, the time of each entry can not overlap any other one.